%global waddir  %{_datadir}/doom

Name:           freedoom-freedm

Version:        0.7
Release:        1%{?dist}
Summary:        Deathmatch levels for Doom

Group:          Amusements/Games
License:        BSD
URL:            https://savannah.nongnu.org/projects/freedoom/
Source0:        http://download.savannah.gnu.org/releases-noredirect/freedoom/freedm/freedm-%{version}.zip
Source1:        freedoom-freedm.desktop

BuildArch:      noarch
BuildRequires:  desktop-file-utils
Requires:       prboom freedoom

%description
A set of deathmatch levels for the DOOM game engine, based on the
freely redistributable Freedoom game files.

%prep
%setup -q -n freedm-%{version}

%build
# Game data files.  Nothing to build!

%install
install -pD -m 0644 freedm.wad %{buildroot}/%{waddir}/freedm.wad

desktop-file-install --dir %{buildroot}/%{_datadir}/applications %{SOURCE1}

%files
%{waddir}/freedm.wad
%{_datadir}/applications/*.desktop
%doc README COPYING CREDITS NEWS

%changelog
* Fri Aug 26 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7-1
- Update to latest upstream release
- No need to explicitly define buildroot, defattr or have a clean stage anymore
- Replace define with global as per current packaging guidelines
- Fix the desktop file to follow the latest spec

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Wart <wart at kobold.org> 0.6.4-1
- Update to 0.6.4

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jun 4 2008 Wart <wart at kobold.org> 0.6.2-1
- Update to 0.6.2

* Sat Aug 11 2007 Wart <wart at kobold.org> 0.5-4
- Use correct .desktop file version

* Sat Mar 10 2007 Wart <wart at kobold.org> 0.5-3
- Fix typo in desktop file category

* Sat Mar 3 2007 Wart <wart at kobold.org> 0.5-2
- Use better sourceforge download url
- Use more precise desktop file categories

* Sat Sep 16 2006 Wart <wart at kobold.org> 0.5-1
- Initial package for Fedora Extras
